%define upstream_name    Net-Telnet-Cisco
%define upstream_version 1.10

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 2

Summary:	Net-Telnet-Cisco Perl module
License:	GPL+ or Artistic
Group:		Development/Perl
Url:		http://search.cpan.org/dist/%{upstream_name}
Source0:    ftp://ftp.perl.org/pub/CPAN/modules/by-module/Net/%{upstream_name}-%{upstream_version}.tar.bz2

Buildarch:	noarch


%description
Net::Telnet::Cisco adds additional functionality to 
Net::Telnet that helps you automate Cisco router management
and statistic gathering.

%prep
%setup -q -n %{name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall_std

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc Changes README TODO
%{perl_vendorlib}/Net/Telnet/*
%{perl_vendorlib}/auto/Net/Telnet/*
%{_mandir}/*/*


%changelog
* Fri Jan 21 2011 jquelin <jquelin> 1.100.0-2.mga1
+ Revision: 29471
- no meta.yml
- rebuild

* Thu Jan 13 2011 jquelin <jquelin> 1.100.0-1.mga1
+ Revision: 13633
- imported package perl-Net-Telnet-Cisco


* Wed Jul 29 2009 Jérôme Quelin <jquelin@mandriva.org> 1.100.0-1mdv2010.0
+ Revision: 404248
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tv@mandriva.org> 1.10-5mdv2009.0
+ Revision: 241804
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Tue May 08 2007 Olivier Thauvin <nanardon@mandriva.org> 1.10-3mdv2008.0
+ Revision: 25196
- rebuild


* Fri Apr 28 2006 Nicolas Lcureuil <neoclust@mandriva.org> 1.10-2mdk
- Fix SPEC according to Perl Policy
	- Source URL
	- URL
- use mkrel

* Tue Feb 17 2004 Lenny Cartier <lenny@mandrakesoft.com> 1.10-1mdk
- 1.10

